Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSCvpolyAttr

## Triggers

The class: WSCvpolyAttr has these triggers as follows.

Name | Type | Defined Value
None | Not occurs | WSEV_NONE
INITIALIZE | When the instance is initilized. | WSEV_INITIALIZE
DELETE | When the instance is released. | WSEV_DELETE
VISIBLE-CH | When the WSNvis property is changed. | WSEV_VISIBLE_CH
PARENT-VISIBLE-CH | When the visible property of the parent instance is changed. | WSEV_PARENT_VISIBLE_CH
EXPOSE | When the instance is exposed. | WSEV_EXPOSE

## Specification of the triggers

- WSEV_NONE (Not occurs.)
  Function
    It does not occurs by the Wide Studio event loop.
  Notice
    It only occurs by the function call: execProcedure() of user .

- WSEV_INITIALIZE (When the instance is initialized.)
  Function
    It will be executed once after the event procedures are added with this trigger.
  Notice
    It is not strictly when the instance is created.

- WSEV_DELETE (When the instance is deleted)
  Function
    It occurs when the instance is deleted.
  Notice
    You may not access the methods of the instance except for getUserData(),because it occurs after the destructor is called.

- WSEV_VISIBLE_CH (When the WSNvis property is changed.)
  Function
    It occurs when the WSNvis property is changed.
  Notice

- WSEV_PARENT_VISIBLE_CH (When the WSNvis property of the parent instance is changed.)
  Function
    It occurs when the WSNvis property of the parent instance is changed.
  Notice

- WSEV_EXPOSE (When the instance is exposed.)
  Function
    It occurs when the instance is exposed and needs painting the exposed area.
  Notice

Document Release 3.70
For use with Wide Studio Release 3.70, Spring 2004

Wide Studio Home | Up to

Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004